/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-04
 * 描述            ：采购单主表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Quote.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Quote.mapper.PurPurchaseMMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_PURCHASE_M", namespace=PurPurchaseMMapper.class)
public class PurPurchaseM extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 4417609944099068457L;
	/** 
	 * 采购单号(YG+YYYYMMDD+4位)
	 */ 
	@Id
	private String purchase_no;
	public String getPurchase_no() {
		return this.purchase_no;
	}
	public void setPurchase_no(String purchase_no) {
		this.purchase_no = purchase_no;
	}
	//采购单号查询字段
	private String purchase_nocopy;
	public String getPurchase_nocopy() {
		return purchase_nocopy;
	}
	public void setPurchase_nocopy(String purchase_nocopy) {
		this.purchase_nocopy = purchase_nocopy;
	}
	/** 
	 * 采购单描述
	 */ 
	@Column
	private String purchase_desc;
	public String getPurchase_desc() {
		return this.purchase_desc;
	}
	public void setPurchase_desc(String purchase_desc) {
		this.purchase_desc = purchase_desc;
	}

	/** 
	 * 采购方式(6028)
	 */ 
	@Column
	private String bpo_mode_code;
	public String getBpo_mode_code() {
		return this.bpo_mode_code;
	}
	public void setBpo_mode_code(String bpo_mode_code) {
		this.bpo_mode_code = bpo_mode_code;
	}

	/** 
	 * 采购方式名称(6028)
	 */ 
	@Column
	private String bpo_mode_name;
	public String getBpo_mode_name() {
		return this.bpo_mode_name;
	}
	public void setBpo_mode_name(String bpo_mode_name) {
		this.bpo_mode_name = bpo_mode_name;
	}

	/** 
	 * 采购公司代码
	 */ 
	@Column
	private String company_code;
	public String getCompany_code() {
		return this.company_code;
	}
	public void setCompany_code(String company_code) {
		this.company_code = company_code;
	}

	/** 
	 * 采购公司名称
	 */ 
	@Column
	private String company_name;
	public String getCompany_name() {
		return this.company_name;
	}
	public void setCompany_name(String company_name) {
		this.company_name = company_name;
	}

	/** 
	 * 报价开始时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date offer_time_start;
	public Date getOffer_time_start() {
		return this.offer_time_start;
	}
	public void setOffer_time_start(Date offer_time_start) {
		this.offer_time_start = offer_time_start;
	}

	/** 
	 * 报价结束时间(招标状态为发布时时间启用)
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date offer_time_end;
	public Date getOffer_time_end() {
		return this.offer_time_end;
	}
	public void setOffer_time_end(Date offer_time_end) {
		this.offer_time_end = offer_time_end;
	}

	/** 
	 * 开标地点
	 */ 
	@Column
	private String bid_open_addr;
	public String getBid_open_addr() {
		return this.bid_open_addr;
	}
	public void setBid_open_addr(String bid_open_addr) {
		this.bid_open_addr = bid_open_addr;
	}

	/** 
	 * 开标人
	 */ 
	@Column
	private String bid_open_userid;
	public String getBid_open_userid() {
		return this.bid_open_userid;
	}
	public void setBid_open_userid(String bid_open_userid) {
		this.bid_open_userid = bid_open_userid;
	}

	/** 
	 * 开标人名称
	 */ 
	@Column
	private String bid_open_username;
	public String getBid_open_username() {
		return this.bid_open_username;
	}
	public void setBid_open_username(String bid_open_username) {
		this.bid_open_username = bid_open_username;
	}

	/** 
	 * 开标日期
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date bid_open_date;
	public Date getBid_open_date() {
		return this.bid_open_date;
	}
	public void setBid_open_date(Date bid_open_date) {
		this.bid_open_date = bid_open_date;
	}

	/** 
	 * 评标地点
	 */ 
	@Column
	private String bid_eval_addr;
	public String getBid_eval_addr() {
		return this.bid_eval_addr;
	}
	public void setBid_eval_addr(String bid_eval_addr) {
		this.bid_eval_addr = bid_eval_addr;
	}

	/** 
	 * 评标日期
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date bid_eval_date;
	public Date getBid_eval_date() {
		return this.bid_eval_date;
	}
	public void setBid_eval_date(Date bid_eval_date) {
		this.bid_eval_date = bid_eval_date;
	}

	/** 
	 * 询价/招标状态(00废标10准备20发布30供应商应标40评标50定标60公告结果70封闭)
	 */ 
	@Column
	private String nquiry_status;
	public String getNquiry_status() {
		return this.nquiry_status;
	}
	public void setNquiry_status(String nquiry_status) {
		this.nquiry_status = nquiry_status;
	}

	/** 
	 * 采购员
	 */ 
	@Column
	private String buyer_name;
	public String getBuyer_name() {
		return this.buyer_name;
	}
	public void setBuyer_name(String buyer_name) {
		this.buyer_name = buyer_name;
	}

	/** 
	 * 采购管理部门代码
	 */ 
	@Column
	private String buyer_dept_code;
	public String getBuyer_dept_code() {
		return this.buyer_dept_code;
	}
	public void setBuyer_dept_code(String buyer_dept_code) {
		this.buyer_dept_code = buyer_dept_code;
	}

	/** 
	 * 采购管理部门描叙
	 */ 
	@Column
	private String buyer_dept_desc;
	public String getBuyer_dept_desc() {
		return this.buyer_dept_desc;
	}
	public void setBuyer_dept_desc(String buyer_dept_desc) {
		this.buyer_dept_desc = buyer_dept_desc;
	}

	/** 
	 * 采购管理科室代码
	 */ 
	@Column
	private String buyer_unit_code;
	public String getBuyer_unit_code() {
		return this.buyer_unit_code;
	}
	public void setBuyer_unit_code(String buyer_unit_code) {
		this.buyer_unit_code = buyer_unit_code;
	}

	/** 
	 * 采购管理科室描叙
	 */ 
	@Column
	private String buyer_unit_desc;
	public String getBuyer_unit_desc() {
		return this.buyer_unit_desc;
	}
	public void setBuyer_unit_desc(String buyer_unit_desc) {
		this.buyer_unit_desc = buyer_unit_desc;
	}

	/** 
	 * 归档标志(1归档、0未归档)
	 */ 
	@Column
	private String archive_flag;
	public String getArchive_flag() {
		return this.archive_flag;
	}
	public void setArchive_flag(String archive_flag) {
		this.archive_flag = archive_flag;
	}

	/** 
	 * 归档编号(GD+YYYYYMMDD+3位流水号)
	 */ 
	@Column
	private String arch_stamp_no;
	public String getArch_stamp_no() {
		return this.arch_stamp_no;
	}
	public void setArch_stamp_no(String arch_stamp_no) {
		this.arch_stamp_no = arch_stamp_no;
	}

	/** 
	 * 归档日期(YYYYMMDD)
	 */ 
	@Column
	private String arch_date;
	public String getArch_date() {
		return this.arch_date;
	}
	public void setArch_date(String arch_date) {
		this.arch_date = arch_date;
	}

	/** 
	 * 业务年月(YYYYMM)(数据生成时默认写入当前日期对应的年月)
	 */ 
	@Column
	private String bal_year_month;
	public String getBal_year_month() {
		return this.bal_year_month;
	}
	public void setBal_year_month(String bal_year_month) {
		this.bal_year_month = bal_year_month;
	}

	/** 
	 * 数据状态（00无效10草稿20生效30结案）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 审批状态(00:待提报10:待审批 20:审批中 30审批拒绝40审批退回50审批通过)
	 */ 
	@Column
	private String status;
	public String getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 废除人ID
	 */ 
	@Column
	private String delete_userid;
	public String getDelete_userid() {
		return this.delete_userid;
	}
	public void setDelete_userid(String delete_userid) {
		this.delete_userid = delete_userid;
	}

	/** 
	 * 废除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 废除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	//总金额
	private Double totalpurchase_amt;
	public Double getTotalpurchase_amt() {
		return totalpurchase_amt;
	}
	public void setTotalpurchase_amt(Double totalpurchase_amt) {
		this.totalpurchase_amt = totalpurchase_amt;
	}
}
